<?php
/**
 * @Author: José Elías Gutierrez
 * @Date:   2017-06-19 15:29:08
 * @Last Modified by:   José Elías Gutierrez
 * @Last Modified time: 2017-06-19 16:41:53
 */
?>

<div class="col-sm-12">

    <table class="wp-list-table widefat fixed striped posts">
        <thead>
        <tr>
            <th>#</th>
            <th>Extras</th>
            <th></th>
        </tr>
        </thead>

        <?php foreach ($extra_groups as $key => $extra_group) { ?>
            
            <tr>    
                <td><?php echo $key; ?></td>
                <td><?php echo $extra_group['extra_group_name']; ?></td>
                <td class="text-right">
                    <a class="jebe-edit-extra_group dashicons dashicons-welcome-write-blog" data-value="<?php echo $extra_group['extra_group_name']; ?>" data-extra_group="<?php echo htmlspecialchars(json_encode($extra_group)); ?>"></a>
                    <a class="jebe-remove-extra_group dashicons dashicons-no-alt" data-value="<?php echo $extra_group['extra_group_name']; ?>"></a>
                </td>
            </tr>

        <?php } ?>

    </table>

</div>

<script type="text/javascript">
    

    (function($){

        $('.jebe-edit-extra_group').on('click', function(){
            var extra_group =  JSON.parse($(this).attr('data-extra_group'));
            $('input[name=extra_group_name]').val($(this).attr('data-value'));
            $('.extra_group_extras > div').remove();
            
            for(var i in extra_group.extras) {
                $('.extra_group_extras').append(extra_tpl.replace(/{{ index }}/g, $('.extra_group_extras > div').length));
            }
            $('.extra_group_extras > div').each(function(index, ele){
                $(ele).find('input')[0].value = extra_group.extras[index].extra_name;
                $(ele).find('input')[1].value = extra_group.extras[index].extra_price;
            });

        });

        $('.jebe-remove-extra_group').on('click', function(){

            $("#jebe_settings_form").append('<input type="hidden" name="delete" value="'+$(this).attr('data-value')+'">');
            $('input[name=extra_group_name]').val($(this).attr('data-value'));

            $('#submit').trigger('click');

        });

        var extra_tpl = "<div><label for='extra[{{ index }}][extra_name]'>Extra</label><input type='text' name='extra[{{ index }}][extra_name]' value=''><label for='extra[{{ index }}][extra_price]'>Precio</label><input type='text' name='extra[{{ index }}][extra_price]' value=''><a class='jebe-remove-extra dashicons dashicons-no-alt'></a></div>";

        $('#add_extra_to_extra_group').on('click', function(event){
            event.preventDefault();
            $('.extra_group_extras').append(extra_tpl.replace(/{{ index }}/g, $('.extra_group_extras > div').length));
        });

        $('.extra_group_extras').on('click', '.jebe-remove-extra', function(event){
            event.preventDefault();
            $(this).parent().remove();
        });

    })(jQuery);

</script>
